% This file calls the dicom2vtk script and batch converts a PCMRI DICOM
% sequence all to VTK file
% Used for 3-component PCMRI scans.  Image order is 1. vertical velocity
% 2. horizontal velocity  3. thru plane velocity  4. magnitude
% Ethan Kung 3/1/2012  keo@alumni.stanford.edu


Venc_in=10;  %velocity encoding value in the in-plane direction
Venc_thru= 10;   %velocity encoding value in the through-plane direction
slices= 4;   % number of dicom files in sequence

info= dicominfo('MRIm01');  %use any DICOM file in the sequence
mask=roipoly(dicomread('MRIm01'));  %select region of interest

outn=1;
for i=1:4:slices
    input= ['MRIm' sprintf('%02d',i)];  %in-plane velocity files y direction
    input2= ['MRIm' sprintf('%02d',i+1)];  %in-plane velocity files x direction
    input3= ['MRIm' sprintf('%02d',i+2)];  %through-plane velocity files
    output=[ 'test' sprintf('%02d',outn) '.vtk'];  %output file name
    outn= outn +1;
    allplane_dicom2vtk
end

